Package org.eclipse.net4j.util.ui.prefs

## Class PrefIntegerAndDisable

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.net4j.util.ui.widgets.TextAndDisable
          - - org.eclipse.net4j.util.ui.prefs.PrefIntegerAndDisable

- All Implemented Interfaces:
    `java.util.EventListener`, `OMPreference.Participant`, `ModifyListener`, `SelectionListener`, `Drawable`, `org.eclipse.swt.internal.SWTEventListener`

      public class PrefIntegerAndDisable
      extends TextAndDisable
      implements OMPreference.Participant

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrefIntegerAndDisable​(Composite parent, int textStyle, OMPreference<java.lang.Integer> integerPreference, OMPreference<java.lang.Boolean> disabledPreference)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `checkSubclass()` |
    `OMPreference<java.lang.Boolean>` | `getDisabledPreference()` |
    `OMPreference<java.lang.Integer>` | `getIntegerPreference()` |
    `void` | `loadPreferences()` |
    `void` | `savePreferences()` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.widgets.TextAndDisable

      `addModifyListener, addSelectionListener, createButton, createText, createTextLayoutData, getButton, getDisabledButtonText, getText, getValue, isDisabled, modifyText, removeModifyListener, removeSelectionListener, setDisabled, setValue, widgetDefaultSelected, widgetSelected`

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### PrefIntegerAndDisable

          public PrefIntegerAndDisable​(Composite parent,
                                       int textStyle,
                                       OMPreference<java.lang.Integer> integerPreference,
                                       OMPreference<java.lang.Boolean> disabledPreference)

  - ### Method Detail

    - #### getIntegerPreference

          public final OMPreference<java.lang.Integer> getIntegerPreference()

    - #### getDisabledPreference

          public final OMPreference<java.lang.Boolean> getDisabledPreference()

    - #### loadPreferences

          public void loadPreferences()

      Specified by:
        `loadPreferences` in interface `OMPreference.Participant`

    - #### savePreferences

          public void savePreferences()

      Specified by:
        `savePreferences` in interface `OMPreference.Participant`

    - #### checkSubclass

          protected void checkSubclass()

      Overrides:
        `checkSubclass` in class `Composite`